#ifndef ___SECGSI_VOMS_VERS_H___
#define ___SECGSI_VOMS_VERS_H___
/******************************************************************************/
/*                                                                            */
/*                X r d S e c g s i V O M S V e r s. h h                      */
/*                                                                            */
/*  (C) 2013  G. Ganis, CERN                                                  */
/*                                                                            */
/*  All rights reserved. The copyright holder's institutional names may not   */
/*  be used to endorse or promote products derived from this software without */
/*  specific prior written permission.                                        */
/*                                                                            */
/*  This file is part of the VOMS extraction XRootD plug-in software suite,   */
/*  here after called VOMS-XRootD (see https://github.com/gganis/voms).       */
/*                                                                            */
/*  VOMS-XRootD is free software: you can redistribute it and/or modify it    */
/*  under the terms of the GNU Lesser General Public License as published by  */
/*  the Free Software Foundation, either version 3 of the License, or (at     */
/*  your option) any later version.                                           */
/*                                                                            */
/*  VOMS-XRootD is distributed in the hope that it will be useful, but        */
/*  WITHOUT ANY WARRANTY, not even the implied warranty of MERCHANTABILITY or */
/*  FITNESS FOR A PARTICULAR PURPOSE.                                         */
/*  See the GNU Lesser General Public License for more details.               */
/*                                                                            */
/*  You should have received a copy of the GNU Lesser General Public License  */
/*  along with VOMS-XRootD in a file called COPYING.LGPL (LGPL license) and   */
/*  file COPYING (GPL license). If not, see <http://www.gnu.org/licenses/>.   */
/*                                                                            */
/******************************************************************************/

#define XrdVOMSVERSION  "v0.0.0"

// Numeric representation of the version tag
// Format is xyyzzr, where: x is the major version,
// y is the minor version, zz is the bugfix revision number and
// r is 0 for released code, 1 for unreleased code moving from the tag
// defined by x.yy.zz .
#define XrdVOMSVERSNUM  000000

// The following macros extract version digits from a numeric version number
#define XrdVOMSMajorVNUM(x) x/100000
#define XrdVOMSMinorVNUM(x) x/1000%100
#define XrdVOMSPatchVNUM(x) x/10%100
#define XrdVOMSUnreleased(x) x%10

#endif
